#!/bin/sh

#
#Must be executed as root
#

USER=`id | awk -F"(" '{print $2}' | awk -F")" '{print $1}'`
if [ "$CURRENT_USER" = "root" ]; then
   echo "\nError : Cannot be run as root!"
   exit 1
fi

FP_DIR=`pwd`
patch=patch.tar
file=dbspaceV3.conf

usage()
{
echo "Usage: $0 DataMart-install-dir
DataMart-install-dir is the directory where the DataMart is installed
"
        return 0
}

DLDIR="$1"
[ -z "$DLDIR" ] && usage && exit 1

unpack_files()
{
        tar -xf $patch
}

cleanup_files()
{
        rm -rf "$FP_DIR/dm"  && return 0
        echo "Could not remove $FP_DIR/dm" && return 1
}

echo "Unpacking..." && unpack_files || exit 1

echo "Installing..."
GROUP=`ls -g $DLDIR/conf/$file | awk '{print $3}'`
USER=`ls -l $DLDIR/conf/$file | awk '{print $3}'`
mv $DLDIR/conf/$file $DLDIR/conf/$file.old
cp dm/$file $DLDIR/conf/$file
chown $USER $DLDIR/conf/$file
chgrp $GROUP $DLDIR/conf/$file
chmod 444 $DLDIR/conf/$file

echo "Cleaning up..." && cleanup_files || exit 1

echo "Success."

exit 0

